Draft Layer

    From FreeCAD Documentation
    This page is a translated version of the page Draft Layer and the translation is 40% complete.
    Outdated translations are marked like this.

    Draft Layer.svg Draft Layer

    Menüeintrag
    Dienstprogramme → Ebene
    Arbeitsbereich
    Draft, Arch
    Standardtastenkürzel
    Keiner
    Eingeführt in Version
    0.19
    Siehe auch
    Draft AutoGruppe, Draft LayerManager

    Beschreibung

    Der Befehl Draft Layer.svg Draft Layer erstellt einen Draft-Layer. Ein Layer ist eine besondere Art von Gruppe mit einigen Sichtbarkeits-Einstellungen. Diese Einstellungen und alle Änderungen an ihnen werden an die Objekte auf diesem Layer weitergegeben. Die Layer an sich werden in einer weiteren besonderen Gruppe abgelegt: dem Draft LayerContainer.

    Anwendung

    1. Gehe in das Menü Draft → Utilities → Draft Layer.svg Layer.
    2. Ändere die gewünschten Ansichtseigenschaften der Ebene.

    Kontextmenü

    Layer container options

    For a Draft LayerContainer these additional options are available in the Tree view context menu:

    • Draft Layer.svg Merge layer duplicates: merges all layers with the same base label.
    The base label of a layer is its DatenLabel stripped of trailing digits and spaces. All layers with the same base label are merged into a single layer with the DatenLabel set to that base label.
    • Draft NewLayer.svg Add new layer: adds a new layer to the current document.

    Layer options

    For a Draft Layer these additional options are available in the Tree view context menu:

    Drag and drop behavior

    introduced in version 0.21

    If you drop an object from a Std Group, or a group-like object such as an Arch BuildingPart, on a layer in the Tree view, it is not removed from the group, and vice versa. To remove an object from a layer it must be dropped on another layer or on the document node. There is no need to hold down the Ctrl key when dragging from or dropping on a layer.

    Hinweise

    Eigenschaften

    Siehe auch: Eigenschafteneditor.

    Ein Draft Layer-Objekt wird von einem App FeaturePython-Objekt abgeleitet und erbt alle seine Eigenschaften. Außerdem besitzt es die folgenden zusätzlichen Eigenschaften:

    Daten

    Layer

    • Daten-EigenschaftGroup: gibt die Elemente an, die Teil der Gruppe sind.
    • Visuelle Eigenschaften, die geändert werden können und auf die Objekte übertragen werden: Zeichenstil, Linienfarbe, Linienbreite, Formfarbe, Transparenz und Sichtbarkeit.

    View

    Layer

    The properties in this section are applied to objects that are put inside the layer. And any changes to these properties are propagated to them. For two properties, AnsichtLine Color and AnsichtShape Color, this behavior is optional.

    • AnsichtDraw Style (Enumeration): specifies the draw style of the layer: Solid, Dashed, Dotted or Dashdot
    • AnsichtLine Color (Color): specifies the line color of the layer.
    • AnsichtLine Width (Float): specifies the line width of the layer.
    • AnsichtOverride Line Color Children (Bool): specifies if changes to the AnsichtLine Color of the layer are propagated to the objects inside the layer.
    • AnsichtOverride Shape Color Children (Bool): specifies if changes to the AnsichtShape Color of the layer are propagated to the objects inside the layer.
    • AnsichtShape Color (Color): specifies the shape color of the layer.
    • AnsichtTransparency (Percent): specifies the transparency of the layer.

    Print

    • AnsichtLine Print Color (Color): specifies the line print color of the layer.
    • AnsichtUse Print Color (Bool): specifies if the AnsichtLine Print Color of the layer is used when a TechDraw DraftView is created from the objects inside the layer.

    Scripting

    See also: Autogenerated API documentation and FreeCAD Scripting Basics.

    To create a Draft Layer use the make_layer method of the Draft module. To add objects to, or remove objects from, a layer change its Group property.

    import FreeCAD as App
    import Draft
    
    doc = App.newDocument()
    
    layer = Draft.make_layer(line_color=(1.0, 0.0, 0.0, 0.0),
                             shape_color=(1.0, 1.0, 0.0, 0.0))
    
    polygon1 = Draft.make_polygon(5, radius=1000)
    polygon2 = Draft.make_polygon(3, radius=500)
    polygon3 = Draft.make_polygon(6, radius=220)
    layer.Group = [polygon1, polygon2, polygon3]
    
    doc.recompute()